"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.iFunnyErrorCodes = void 0;
var iFunnyErrorCodes;
(function (iFunnyErrorCodes) {
    // Unknown Error
    iFunnyErrorCodes[iFunnyErrorCodes["UnknownError"] = 0] = "UnknownError";
    // Client Errors
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidClient"] = 1] = "InvalidClient";
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidEmail"] = 2] = "InvalidEmail";
    iFunnyErrorCodes[iFunnyErrorCodes["Unauthorized"] = 3] = "Unauthorized";
    // Library Errors
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidBasicTokenLength"] = 4] = "InvalidBasicTokenLength";
    iFunnyErrorCodes[iFunnyErrorCodes["UncaughtAxiosError"] = 5] = "UncaughtAxiosError";
    // Auth Errors
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidTokenType"] = 6] = "InvalidTokenType";
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidBasicToken"] = 7] = "InvalidBasicToken";
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidBearerToken"] = 8] = "InvalidBearerToken";
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidGrant"] = 9] = "InvalidGrant";
    iFunnyErrorCodes[iFunnyErrorCodes["CaptchaRequired"] = 10] = "CaptchaRequired";
    // User Errors
    iFunnyErrorCodes[iFunnyErrorCodes["InvalidUserId"] = 11] = "InvalidUserId";
    iFunnyErrorCodes[iFunnyErrorCodes["UserNotFound"] = 12] = "UserNotFound";
    iFunnyErrorCodes[iFunnyErrorCodes["UserUnavailable"] = 13] = "UserUnavailable";
    iFunnyErrorCodes[iFunnyErrorCodes["UserDeleted"] = 14] = "UserDeleted";
})(iFunnyErrorCodes = exports.iFunnyErrorCodes || (exports.iFunnyErrorCodes = {}));
//# sourceMappingURL=iFunnyErrorCodes.js.map